Not Compatible with Firefox 57+ Rated 4 out of 5 stars

This is not Firefox 57+ compatible.

Great Add-on Rated 5 out of 5 stars

This add-on works as it's suppose to. It's easy to use and great for browsing history privacy. :)

This review is for a previous version of the add-on (0.1.7.3.1-signed).